<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): MESSAGE_DEV Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structMESSAGE__DEV-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MESSAGE_DEV Struct Reference<div class="ingroups"><a class="el" href="group__comm__engine.html">Communication Engine</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>message container for TX/RX  
 <a href="structMESSAGE__DEV.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglCommunication_8hpp_source.html">tiglCommunication.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac2d7a465495c1a3749775b05870c7476"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2d7a465495c1a3749775b05870c7476"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#ac2d7a465495c1a3749775b05870c7476">MESSAGE_DEV</a> ()</td></tr>
<tr class="memdesc:ac2d7a465495c1a3749775b05870c7476"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor <br /></td></tr>
<tr class="separator:ac2d7a465495c1a3749775b05870c7476"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0562305f4b3e26ab1e089f97c154a7e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0562305f4b3e26ab1e089f97c154a7e0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a0562305f4b3e26ab1e089f97c154a7e0">reset</a> ()</td></tr>
<tr class="memdesc:a0562305f4b3e26ab1e089f97c154a7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">resetting all counters <br /></td></tr>
<tr class="separator:a0562305f4b3e26ab1e089f97c154a7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0ae3a2b2a443962ce0e2ab3c2a75518"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0ae3a2b2a443962ce0e2ab3c2a75518"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#ac0ae3a2b2a443962ce0e2ab3c2a75518">getMessageCount</a> ()</td></tr>
<tr class="memdesc:ac0ae3a2b2a443962ce0e2ab3c2a75518"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the total number of messages of all types <br /></td></tr>
<tr class="separator:ac0ae3a2b2a443962ce0e2ab3c2a75518"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4ed5451450dd494a897a9477bbde1140"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ed5451450dd494a897a9477bbde1140"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a4ed5451450dd494a897a9477bbde1140">buf</a> [MAX_MESSAGE_SIZE]</td></tr>
<tr class="memdesc:a4ed5451450dd494a897a9477bbde1140"><td class="mdescLeft">&#160;</td><td class="mdescRight">byte buffer for message storage <br /></td></tr>
<tr class="separator:a4ed5451450dd494a897a9477bbde1140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8061e150a14418bcae3245ad301a7708"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8061e150a14418bcae3245ad301a7708"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a8061e150a14418bcae3245ad301a7708">accMessageSize</a></td></tr>
<tr class="memdesc:a8061e150a14418bcae3245ad301a7708"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative size in buf <br /></td></tr>
<tr class="separator:a8061e150a14418bcae3245ad301a7708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600c0f08739508505171b9ce2e8498fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a600c0f08739508505171b9ce2e8498fe"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a600c0f08739508505171b9ce2e8498fe">numTx</a></td></tr>
<tr class="memdesc:a600c0f08739508505171b9ce2e8498fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of data message transmissions <br /></td></tr>
<tr class="separator:a600c0f08739508505171b9ce2e8498fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27dc7b9ab322d553d7e911d5b6548d59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27dc7b9ab322d553d7e911d5b6548d59"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a27dc7b9ab322d553d7e911d5b6548d59">numSysTx</a></td></tr>
<tr class="memdesc:a27dc7b9ab322d553d7e911d5b6548d59"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of system message transmissions <br /></td></tr>
<tr class="separator:a27dc7b9ab322d553d7e911d5b6548d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88b1949fd8b30c70db955f4abcb40c5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88b1949fd8b30c70db955f4abcb40c5a"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMESSAGE__DEV.html#a88b1949fd8b30c70db955f4abcb40c5a">numMutationTx</a></td></tr>
<tr class="memdesc:a88b1949fd8b30c70db955f4abcb40c5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of mutation message transmissions <br /></td></tr>
<tr class="separator:a88b1949fd8b30c70db955f4abcb40c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>message container for TX/RX </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/common/communication/<a class="el" href="tiglCommunication_8hpp_source.html">tiglCommunication.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Mar 4 2015 13:31:18 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
